petsc-3.4.2 2013-07-02

# PetscFunctionBeginUser

First executable line of user provided PETSc routine

### Synopsis

    #include "petscsys.h"
    void PetscFunctionBeginUser;

Not Collective

### Usage

         int something;

         PetscFunctionBegin;

### Notes

Not available in Fortran

### See Also

PetscFunctionReturn()

### Keywords

traceback, error handling

Level:developer
Location:src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html